/* ==========================================================================
   Blog Masonry general style - begin
   ========================================================================== */

.mkdf-blog-holder {
    
    &.mkdf-blog-type-masonry {
	
	    .mkdf-blog-holder-inner {
		    opacity: 0;
	    }
	
	    article {
		    float: left;
	    }
	
	    article,
	    .mkdf-blog-masonry-grid-sizer {
		    width: 100%;
	    }
	
	    .mkdf-blog-masonry-grid-gutter {
		    width: 0;
	    }
	
	    /***** Number of Columns - begin *****/
	    
	    $columns_number: ('two', 'three', 'four', 'five');
	
	    @for $i from 0 to length($columns_number) {
		    &.mkdf-blog-#{nth($columns_number,$i+1)}-columns {
			    $column_width: 100%/($i+2);
			
			    article,
			    .mkdf-blog-masonry-grid-sizer {
				    width: $column_width;
			    }
			    
                article {
                    &.mkdf-post-size-large-width,
                    &.mkdf-post-size-large-width-height {
                        width: 2*$column_width;
                    }
                }
		    }
	    }
	
	    /***** Number of Columns - end *****/
	
	    /***** Space Between Items - begin *****/
	
	    $columns_space_label: ('no', 'tiny', 'small', 'normal');
	    $columns_space: (0, 5, 10, 15);
	
	    @for $i from 0 to length($columns_space_label) {
		    &.mkdf-blog-#{nth($columns_space_label,$i+1)}-space {
			    $item_space: nth($columns_space, $i+1);
			    $item_bottom_margin: $item_space * 2;
			
			    .mkdf-blog-holder-inner {
				    margin: 0 -#{$item_space}px;
			    }
			
			    article {
				    padding: 0 #{$item_space}px;
				    margin: 0 0 #{$item_bottom_margin}px;
			    }
		    }
	    }
	
	    /***** Space Between Items - end *****/

        /***** Space on container if full width - start *****/

        &.mkdf-blog-masonry-full-width {
            box-sizing: border-box;

            $columns_space_label: ('tiny', 'small', 'normal');
            $columns_space: (5, 10, 15);

            @for $i from 0 to length($columns_space_label) {
                &.mkdf-blog-#{nth($columns_space_label,$i+1)}-space {
                    $item_space: nth($columns_space, $i+1);

                    padding: 0 #{2*$item_space}px;
                }
            }
        }

        /***** Space on container if full width - end *****/
    }
}
/* ==========================================================================
   Blog Masonry general style - end
   ========================================================================== */